23 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.14.

22 November 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/zebra.cfg.in.in,
	components/broker/zebra/zquery/zebractl.in.in: paths are now
	relative to the directory containing zebractl.

	* components/broker/zebra/zquery/zebra.cfg.in.in,
	components/broker/zebra/zquery/zebractl.in.in,
	src/broker/CreateBroker.in: added index-shadow, log, run and tmp
	directories to zebra directory.

21 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/skeleton/admin/broker.conf.in: typo
	fix.

	* src/broker/example/brokers/skeleton/admin/admin.html.in: moved
	to components/broker/standard/WWW/brokerAdmin.in.

	* components/broker/standard/WWW/brokerAdmin.in: renamed from
	BrokerAdmin.pl, merged with
	src/broker/example/brokers/skeleton/admin/admin.html.in.

	* components/broker/standard/configure.in,
	components/broker/standard/WWW/Makefile.in, src/Harvest.in,
	src/broker/CreateBroker.in: configure, install and use
	brokerAdmin.cgi instead of BrokerAdmin.pl.cgi.

	* src/broker/example/brokers/adminhelp.html: added link to
	brokerAdmin.cgi.

20 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/mgmt/gather_option.pl.in: minor optimization.

	* components/broker/zebra/zquery/zquery.pl.in: improved result
	truncation.

	* src/broker/example/brokers/zquery/index.html: n_lines defaults
	to 3.

	* components/broker/zebra/zquery/zebra.cfg.in.in: don't use
	gils.att.

	* src/broker/example/brokers/zquery/about.html,
	src/broker/example/brokers/zquery/help.html: updated.

	* components/broker/zebra/zquery/Makefile.in: install xsoif.abs.

20 November 2003 Adam Dickmeiss <adam@indexdata.dk>

	* components/broker/zebra/zquery/xsoif.abs: new file.

19 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/zquery/about.html: updated.

	* components/broker/zebra/zquery/zquery.pl.in: remove leadings
	whitespaces of a query string, preferredRecordSyntax is now XML,
	added XML result parser, added debugging messages.

15 November 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/zquery.pl.in: search terms in
	results are now highlighted.

13 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/zquery/index.html: cosmetic changes.

	* components/broker/zebra/zquery/zquery.pl.in: print message when
	zoomsh takes longer than expected, print part of result page before
	starting zoomsh.

11 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/configure.in, src/gatherer/example/Makefile.in: build and
	install new files.

	* src/gatherer/example/gatherers/template/RunGatherd.in,
	src/gatherer/example/gatherers/template/RunGatherer.in,
	src/gatherer/example/gatherers/template/gather.cf.in: new files.

10 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/configure.in, src/gatherer/mgmt/Makefile.in: build and
	install gather_option.pl.

	* src/gatherer/mgmt/gather_option.pl.in: new file.

9 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.13.

	* src/gatherer/curl: updated to curl-7.10.8.

8 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/zquery/about.html: updated.

	* components/broker/zebra/zquery/zquery.pl.in: verify that zoomsh
	is executable and zebrasrv is running before querying zebrasrv,
	print some suggestions when query result is empty, cosmetic
	changes to result output, fixed page index arguments.

	* components/broker/zebra/zquery/soif2xml.pl.in: don't write
	book-keeping information into XML files.

6 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/broker/registry.c: object matches if URL is the same, md5 is
	not used to evaluate a match.

5 November 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/soif2xml.pl.in: log messages more
	similar to log messages from other components.

3 November 2003 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/quick-sum: ported to Perl 5.

	* src/gatherer/essence/summarize.c: exit if quick-sum.cf can't be
	compiled.

	* src/gatherer/essence/quick-sum.cf: fixed regex for Perl
	subroutines.

1 November 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/zquery.pl.in: tweaked query to
	zebra.

	* src/broker/example/brokers/zquery/about.html: updated.

	* components/broker/zebra/zquery/soif2xml.pl.in: delete XML file
	when their SOIF counterpart is deleted, don't rewrite XML file if
	it is newer than the SOIF file.

	* components/broker/zebra/zquery/Makefile.in,
	components/broker/zebra/zquery/configure.in: don't create/install
	obsolete files.

31 October 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/soif2xml.pl.in: rewrite "&" and
	">" as entity references.

30 October 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.12.

	* components/broker/zebra/zquery/zquery-gils.pl.in: new file.

	* components/broker/zebra/zquery/zquery.pl.in: modified result
	parser for changes caused by switch to soif2xml.pl.

	* components/broker/zebra/zquery/soif2xml.pl.in: new file.

	* components/broker/zebra/zquery/Makefile.in,
	components/broker/zebra/zquery/configure.in: build and install
	soif2xml.pl.

	* components/broker/standard/glimpse/glimpseindex.sh.in: use
	soif2xml.pl.

29 October 2003 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/xlhtml/ppthtml/ppthtml.c: don't use filename
	as title, don't print link to xlhtml's home page.

24 October 2003 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/summarizers/HTML-sum.pl: cosmetic
	changes.

13 October 2003 Kang-Jin Lee <lee@arco.de>

	* src/configure.in: check for mkstemp.

	* src/broker/example/brokers/zquery/about.html,
	src/broker/example/brokers/zquery/contact.html,
	src/broker/example/brokers/zquery/help.html,
	src/broker/example/brokers/zquery/index.html: updated.

12 October 2003 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/xlhtml/xlhtml/version.h,
	components/gatherer/xlhtml/xlhtml/support.c: silence compiler warnings.

11 October 2003 Andrei Malashevich <u_andy@pisem.net>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	updated translation.

11 October 2003 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/curl: updated to curl-7.10.7.

10 October 2003 Anders Wandahl <aw@kib.ki.se>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.se.in:
	updated translation.

9 October 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.11.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.es.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.fr.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.it.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.se.in:
	add link to dutch query page.

	* components/broker/standard/WWW/Makefile.in: don't compile
	util.c, install *.cf files.

	* src/broker/CreateBroker.in: install dutch query pages.

8 October 2003 Dima Suliman <suliman@zib.de>

	* src/gatherer/enumerate/HTMLurls.c: add support for hrefs
	enclosed in singlequotes.

8 October 2003 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/images/dutch.gif: new file.

8 October 2003 Rick Jansen <rick@rockingstone.nl>

	* components/broker/standard/WWW/dutch.cf,
	src/broker/example/brokers/skeleton/query-glimpse.html.nl.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.nl.in:
	new files.

6 October 2003 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/configure.in: modified to reflect
	source tree changes.

	* components/gatherer/standard/pstext/libs/src/sio/Makefile.in,
	components/gatherer/standard/pstext/libs/src/str/Makefile.in:
	added -D__STRICT_ANSI__ -DPROTOTYPES, build library in OBJDIR.

	* components/gatherer/standard/pstext/libs/src/sio/sio.c: use
	S_ISREG when S_IFMT is not available.

	* components/gatherer/standard/pstext/libs/src/sio/sio.h,
	components/gatherer/standard/pstext/libs/src/sio/sprint.c,
	components/gatherer/standard/pstext/libs/src/str/str.h,
	components/gatherer/standard/pstext/libs/src/str/strprint.c: use
	stdarg.

5 October 2003 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/WordPerfect/configure.in, src/configure.in:
	removed check for NEED_SYS_ERRLIST.

	* components/broker/standard/glimpse/agrep/agrep.h: include
	errno.h.

	* components/broker/standard/WWW/DisplayObject.c: use strerror.

	* components/gatherer/WordPerfect/wp2x-2.3/wp2x.c: use strerror.

	* src/broker/log.c, src/broker/log.h: use stdarg.

	* src/broker/Makefile.in: added __STRICT_ANSI__ to CFLAGS.

	* src/broker/dumpregistry.c: don't include log.h.

	* src/common/util/Makefile.in: added __STRICT_ANSI__ to CFLAGS.

	* src/gatherer/essence/file/apprentice.c: include errno.h.

	* src/gatherer/essence/file/print.c: use strerror.

27 September 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/idzebra: merged idzebra-1.3.13.

26 September 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/idzebra: merged idzebra-1.3.12.

	* components/broker/zebra/yaz: merged yaz-2.0.4.

26 September 2003 Patrick Cao Huu Thien <patrick.cao-huu-thien@inrp.fr>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.fr.in:
	improved translation.

13 June 2003 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/curl: updated to curl-7.10.5.

9 June 2003 Patrick Cao Huu Thien <patrick.cao-huu-thien@inrp.fr>

	* contrib/CreateGatherer/CreateGatherer: typo fix.

9 June 2003 Harald Weinreich <harald@weinreichs.de>

	* src/gatherer/essence/byname-posix.cf: recognize cfm, jsp, tmpl
	as HTML, added new type Video.

	* src/gatherer/essence/stoplist.cf: added Video to stoplist.

	* components/broker/standard/WWW/search.in: use domain name for
	ranking the search results.

8 May 2003 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/example/Makefile: minor simplification.

	* src/common/qdbm/Makefile.in, src/common/qdbm/bros/Makefile,
	src/common/qdbm/lab/Makefile: fixed make distclean.

7 May 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/glimpse/glimpseindex.sh.in: don't
	index qdbm's database files.

	* src/broker/Makefile.in: disabled swish support.

	* components/broker/zebra/idzebra/Makefile.am: don't build unused
	components.

	* src/gatherer/curl/Makefile.am: don't build unused components.

6 May 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/Makefile.in: don't install yaz
	components.

	* components/broker/zebra/zquery/Makefile.in: distclean deletes
	soif2gils.pl.

	* components/broker/zebra/yaz: merged yaz-2.0.2.

30 April 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.10.

	* src/gatherer/essence/byname-posix.cf: recognize .pps as
	Powerpoint document.

	* components/broker/zebra/zquery/soif2gils.pl.in: remove empty
	lines and encode character not allowed in XML.

28 April 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/glimpse/glimpseindex.sh.in: use
	soif2gils.pl.

	* components/broker/zebra/zquery/soif2gils.pl.in: new file.

	* components/broker/zebra/zquery/configure.in,
	components/broker/zebra/zquery/Makefile.in: install soif2gils.pl.

	* components/broker/zebra/zquery/zebra.cfg.in.in,
	components/broker/zebra/zquery/zebractl.in.in: use xml objects.

25 April 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/idzebra: merged idzebra-1.3.11.

	* components/broker/zebra/yaz: merged yaz-2.0.1.

19 April 2003 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/byname-posix.cf: recognize .hxx as C++.

	* src/common/include/config.h ,src/common/include/template.h,
	src/common/template/template.c, src/gatherer/essence/oid.c,
	src/gatherer/essence/summarize.c: always add T_URI to templates,
	when USE_T_URI is defined.

17 April 2003 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/byname-posix.cf: recognize .ppt as
	Powerpoint document.

	* components/gatherer/standard/summarizers/MSExcel.sum: added
	stubs to use xlhtml to summarize Excel documents.

	* components/gatherer/standard/summarizers/MSPowerpoint.sum: new
	file.

	* components/gatherer/standard/summarizers/Makefile.in: install
	MSPowerpoint.sum.

	* src/gatherer/essence/stoplist.cf: added "Unknown" to stoplist.

	* src/Harvest.in: add "Essence-Options" to gatherer configuration
	file.

	* components/gatherer/xlhtml: added xlhtml-0.5.

15 April 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/french.cf,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.fr.in:
	improved translation.

12 April 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/Makefile.in: make clean now cleans qdbm, not gdbm.

11 April 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.9.

	* components/broker/zebra/zquery/zquery.pl.in: send fatals to
	browser.

	* src/common/qdbm: updated to qdbm-1.4.7.

	* src/gatherer/enumerate/enum.c,
	src/gatherer/enumerate/gopherenum-breadth.c,
	src/gatherer/enumerate/gopherenum-depth.c,
	src/gatherer/enumerate/httpenum-breadth.c,
	src/gatherer/enumerate/httpenum-depth.c: use crremove() instead
	of unlink() to remove database.

8 April 2003 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/db/folddb, src/gatherer/mgmt/Gatherer.in: changes
	to work with curia api of qdbm.

	* src/common/qdbm: updated to qdbm-1.4.6.

	* components/broker/standard/WWW/french.cf,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.fr.in:
	improved translation.

7 April 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/url/ftpget.bin.c: renamed ftpget.c to ftpget.bin.c.

	* src/common/url/ftpget: new file.

	* src/common/url/Makefile.in: build and install ftpget and
	ftpget.bin.

	* src/configure.in: renamed common/gdbm to common/qdbm, added
	gatherer/curl.

	* src/common/Makefile.in: remove include/curia.h when cleaning up,
	renamed gdbm to qdbm.

	* src/common/qdbm: renamed from gdbm.

	* src/gatherer/Makefile.in: build curl.

	* src/gatherer/curl: added curl-7.10.4.

6 April 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.8.

	* components/broker/standard/WWW/french.cf,
	components/broker/standard/WWW/german.cf,
	components/broker/standard/WWW/italiano.cf,
	components/broker/standard/WWW/modern.cf,
	components/broker/standard/WWW/rediris.cf,
	components/broker/standard/WWW/russian.cf,
	components/broker/standard/WWW/spanish.cf,
	components/broker/standard/WWW/swedish.cf: typo fixes.

	* src/common/Makefile.in: qdbm's gdbm api needs curia.h.

	* src/common/gdbm: updated to qdbm-1.4.5.

5 April 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/soif-harvest.flt: minor
	simplification.

2 April 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/zquery.pl.in: silenced some
	warnings.

	* components/broker/zebra/zquery/zebra.cfg.in.in: increased index
	and shadow size to 4GB.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.fr.in:
	fixed typo.

	* components/broker/zebra/idzebra: updated to idzebra-1.3.10.

1 April 2003 Andrei Malashevich <u_andy@pisem.net>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	updated translation.

31 March 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.7.

30 March 2003 Andrei Malashevich <u_andy@pisem.net>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	updated translation.

29 March 2003 Anders Wandahl <aw@kib.ki.se>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.se.in:
	updated translation.

29 March 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/zebractl.in.in: modified to work
	with zebra 1.3.9.

	* src/broker/example/brokers/zquery/about.html,
	src/broker/example/brokers/zquery/contact.html,
	src/broker/example/brokers/zquery/help.html,
	src/broker/example/brokers/zquery/register.html: return links
	point to index.html.

	* src/broker/example/brokers/zquery/index.html: renamed query.html
	to index.html.

	* components/broker/standard/glimpse/glimpseindex.sh.in: separate
	index and commit for zebraidx.

	* components/broker/standard/WWW/french.cf,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.fr.in:
	new files.

	* components/broker/standard/WWW/Makefile.in: install french.cf.

	* src/broker/CreateBroker.in: install
	query-glimpse-modern.html.fr.in.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.es.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.fr.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.it.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.se.in:
	add link to french query page.

28 March 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/idzebra: updated to idzebra-1.3.9.

	* src/common/Makefile.in: delete include/depot.h for "make clean".

	* src/common/gdbm/Makefile.in: don't build unused library and
	binaries.

24 March 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/gdbm: updated to qdbm-1.4.1.

	* components/broker/standard/glimpse/glimpseindex.sh.in: build
	index for zebra.

	* src/broker/example/brokers/skeleton/RunBroker.in: start
	zebrasrv.

23 March 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.6.

	* src/broker/Makefile.in: don't build WAIS support.

	* src/common/gdbm: updated to qdbm-1.4.0.

22 March 2003 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/zquery.pl.in: switched from
	yclient to zoomsh.

	* components/broker/zebra/yaz: updated to yaz-2.0.

	* components/broker/zebra/idzebra: updated to idzebra-1.3.7.

	* components/broker/zebra/zquery/zebra.cfg.in.in: cleanup,
	disabled 'isam b', increased allowed maximum disk usage.

	* components/broker/zebra/zquery/Makefile.in,
	components/broker/zebra/zquery/configure.in,
	components/broker/zebra/zquery/zebra.cfg.in.in,
	components/broker/zebra/zquery/zebractl.in.in: source
	reorganization.

21 March 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.5.

	* src/common/Makefile.in: added target for qdbm.

	* src/common/gdbm, src/common/gdbm-gnu: renamed gdbm directory to
	gdbm-gnu and copied qdbm-1.3.2 into gdbm directory.

10 February 2003 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.4.

	* src/broker/CreateBroker.in: install german advanced query page.

	* components/broker/standard/WWW/italiano.cf: removed bogus link.

	* contrib/index.html: added link to nbrkstats demo page, updated
	link to nbrkstats.

10 February 2003 Harald Weinreich <harald@weinreichs.de>

	* contrib/nbrkstats/nbrkstats: cosmetic changes.

	* contrib/nbrkstats/Manip.pm, contrib/nbrkstats/README: new files.

	* components/gatherer/standard/pstext/libs/src/sio/sprint.c:
	added OpenBSD to the list of *BSD flavour system.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in:
	updated link to advanced search page.

	* src/broker/example/brokers/skeleton/query-glimpse.html.de.in:
	new file.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.se.in:
	links to search pages are sorted in the same order like in other
	languages.

	* src/gatherer/essence/byurl-posix.cf: added fancy indexing of
	Apache 2.0 and simplified rules for Apache 1.3.

21 December 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.3.

	* components/broker/standard/WWW/Makefile.in: install swedish.cf.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.es.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.it.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.it.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	added link to swedisch page.

	* src/broker/CreateBroker.in: install swedish query pages.

21 December 2002 Andrei Malashevich <u_andy@pisem.net>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	added link to swedisch page.

21 December 2002 Anders Wandahl <aw@kib.ki.se>

	* components/broker/standard/WWW/swedish.cf,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.se.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.se.in:
	new files.

20 December 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/images/french.gif,
	components/broker/standard/WWW/images/swedish.gif: new files.

15 December 2002 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in:
	more translations.

	* components/gatherer/standard/summarizers/Makefile.in: install
	MSExcel.sum.

15 December 2002 Andrei Malashevich <u_andy@pisem.net>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	more translations.

12 December 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.2.

	* components/broker/standard/WWW/Makefile.in: install italiano.cf.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.es.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	added link to italian page, typo fixes.

	* src/broker/CreateBroker.in: install italian query pages.

12 December 2002 Roccon Graziano <graziano.roccon@e-utile.it>

	* components/broker/standard/WWW/italiano.cf,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.it.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.it.in:
	new files.

12 December 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/images/english.gif: updated.

	* components/broker/standard/WWW/images/italian.gif: new file.

5 December 2002 Tsuguru Kato <tkato@prontomail.com>

	* components/broker/standard/WWW/DisplayObject.c,
	components/gatherer/WordPerfect/wp2x-2.3/wp2x.c,
	src/common/util/strerror.c, src/gatherer/essence/file/print.c:
	FreeBSD doesn't need sys_errlist[].

	* components/broker/swish/Makefile.in,
	components/gatherer/catdoc/charsets/Makefile.in,
	components/gatherer/catdoc/doc/Makefile.in,
	components/gatherer/catdoc/src/Makefile.in,
	src/gatherer/essence/pp_rules.y: cosmetic changes.

4 December 2002 Kang-Jin Lee <lee@arco.de>

	* contrib/index.html: added link to harvest-patch-reinier.

	* contrib/harvest-patch-reinier: new file.

29 November 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.9.1.

	* components/broker/zebra/zquery/broker/zebra.cfg.in.in: adjusted
	profilePath, switched to isam-b.

	* components/broker/zebra/yaz/Makefile.am: don't install yaz
	include files.

28 November 2002 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/catdoc/configure.in: disable tcl detection,
	typo fix.

	* components/broker/zebra/yaz/configure.in: build lib/yaz-config
	from yaz-config.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.es.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	added flags.

27 November 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/images/english.gif,
	components/broker/standard/WWW/images/german.gif,
	components/broker/standard/WWW/images/korean.gif,
	components/broker/standard/WWW/images/latin.gif,
	components/broker/standard/WWW/images/russian.gif,
	components/broker/standard/WWW/images/spanish.gif: new files.

27 November 2002 Andrei Malashevich <u_andy@pisem.net>

	* components/broker/standard/WWW/russian.cf: typo fixes.

27 November 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/idzebra/configure.in,
	components/broker/zebra/yaz/configure.in: set default prefix to
	/usr/local/harvest.

	* components/broker/zebra/yaz/yaz.m4: look for yaz in ../yaz*,
	too.

	* components/broker/zebra/yaz: updated to 1.9.2.

	* components/broker/zebra/idzebra: updated to 1.3.4.

25 November 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/zebra/zquery/ChangeLog,
	components/broker/zebra/zquery/INSTALL,
	components/broker/zebra/zquery/NEWS,
	components/broker/zebra/zquery/TODO: removed files.

24 November 2002 Kang-Jin Lee <lee@arco.de>

	* src/broker/CreateBroker.in: install templates and create
	directories for Zebra, changed Harvest URL to its new location.

	* README: updated.

	* contrib/index.html: removed reference to zquery.

	* components/broker/zebra, src/broker/example/brokers/zquery: new
	component.

20 November 2002 Wolfram Sperber <sperber@zib.de>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	added encoding, typo fixes.

18 November 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.8.2.

	* components/broker/standard/WWW/Makefile.in: install russian.cf.

	* src/broker/CreateBroker.in: install russian query page.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.es.in:
	added link to russian pages.

18 November 2002 Andrei Malashevich <u_andy@pisem.net>

	* components/broker/standard/WWW/russian.cf,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.ru.in:
	new file.

17 November 2002 Kang-Jin Lee <lee@arco.de>

	* src/broker/CreateBroker.in: create different search cache
	directory for each broker.

	* components/broker/standard/WWW/search.in: use different search
	cache directory for each broker.

	* components/broker/standard/glimpse/glimpseindex.sh.in: clean up
	all broker cache files.

16 November 2002 Michael Schlenker <schlenk@uni-oldenburg.de>

	* components/broker/standard/glimpse/agrep/agrep.h,
	components/broker/swish/Makefile.in,
	components/gatherer/WordPerfect/wp2x-2.3/wp2x.c,
	src/common/include/config.h, src/common/url/rfc850.c,
	src/gatherer/essence/file/apprentice.c,
	src/gatherer/essence/file/print.c: changes to compile under
	cygwin.

31 October 2002 Kang-Jin Lee <lee@arco.de>

	* contrib/gdbm-1.8.0-patch, contrib/unrtf-0.18.1-patch: removed
	files.

	* contrib/index.html: updated.

	* src/common/gdbm: updated to version 1.8.3.

29 October 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.8.1.

29 October 2002 Harald Weinreich <harald@weinreichs.de>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in:
	fixed typo, added link to spanish page.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.es.in:
	new file.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in:
	added link to spanish page.

	* components/broker/standard/WWW/Makefile.in: install spanish
	page.

	* components/broker/standard/WWW/spanish.cf: new file.

	* src/broker/CreateBroker.in: install spanish page.

24 October 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.8.0.

	* contrib/index.html: updated.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in:
	commented out stubs for spanish query page.

	* components/broker/standard/WWW/Makefile.in: create symbolic link
	nph-search.cgi.

24 October 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/german.cf: make character set
	encoding configurable.

	* components/broker/standard/WWW/modern.cf: use ISO-8859-1 as
	default character set, fixed typo.

	* components/broker/standard/WWW/search.in: don't buffer output,
	use character set defined in configuration file.

24 October 2002 Diego Casorran <dcr8520@amiga.org>

	* contrib/harvest-amiga-diff: new file.

11 September 2002 Harald Weinreich <harald@weinreichs.de>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.in,
	components/broker/standard/WWW/modern.cf: perpageflag now defaults
	to 10.

	* src/broker/CreateBroker.in: install
	query-glimpse-modern.html.de.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.de.in:
	new file.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in:
	added links to search pages in other languages.

	* components/broker/standard/WWW/german.cf: typo fixes and
	cosmetic changes.

11 September 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/glimpse/Makefile.in,
	components/broker/standard/configure.in: install glimpseindex.sh.

	* components/broker/standard/glimpse/glimpseindex.sh.in: new file.

5 September 2002 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/skeleton/query-glimpse.html.in: typo
	fixes.

4 September 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.37.

2 September 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/Makefile.in: install german.cf.

	* src/broker/collector.c: open LASTUPDATE with mode 0666.

2 September 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/search.in: added filter.

	* src/broker/example/brokers/skeleton/query-glimpse.html.in: added
	sample filter definitions.

	* src/broker/example/brokers/queryhelp.html: added link to URI
	description.

	* src/broker/example/brokers/Attributes.html: added description
	for URI.

	* components/broker/standard/WWW/german.cf: new file.

	* components/broker/standard/WWW/modern.cf: added support for
	filters.

30 August 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/gdbm/configure: rebuilt with autoconf 2.52.

27 August 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/Makefile.in: remove displaySOIF
	when doing distclean.

	* components/gatherer/catdoc/Makefile.in: do distclean in doc
	directory, too.

	* src/common/include/template.h: added T_URI, removed T_URL.

	* common/template/template.c: added URI in embed_template().

	* src/gatherer/essence/oid.c: disabled extract_oid(), added URI in
	create_template_with_oid().

24 August 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.36.

23 August 2002 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/skeleton/query-glimpse.html.in: added
	Sample.cf as option.

23 August 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/Sample.cf: added
	PerObjectFunction and some comments.

	* components/broker/standard/WWW/search.in: check the result cache
	file for hash collision, don't connect to broker if result cache
	file exists, don't wait longer than 300 seconds for answer from
	broker.

23 August 2002 Dmitry Potapov <dpotapov@capitalsoft.com>

	* components/gatherer/standard/summarizer/rtf2html.c: added
	support for title and href tags.

19 August 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.35.

	* components/broker/standard/WWW/search.in: escape string when
	creating link to other pages.

	* components/broker/standard/WWW/Sample.cf: cosmetic changes.

18 August 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.34.

17 August 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/classic.cf,
	components/broker/standard/WWW/modern.cf,
	components/broker/standard/WWW/search.in: use one temporary file
	per query.

	* src/broker/example/brokers/skeleton/query-glimpse.html.in: new
	design.

17 August 2002 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/summarizers/HTML-lax.sum.c: remove
	empty lines and multiple whitespaces from headings.

11 August 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.33.

10 August 2002 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/summarizer/rtf2html.c: make sure
	that header is already written before writing anything.

10 August 2002 Dmitry Potapov <dpotapov@capitalsoft.com>

	* components/gatherer/standard/summarizer/rtf2html.c: don't set
	styles before body tag.

9 August 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/Makefile.in: don't build
	DisplayObject.

	* src/gatherer/db/Makefile.in: don't build extractdb.

5 August 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/Sample.cf: cosmetic changes to
	sync with Harvest User's Manual.

4 August 2002 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/soifhelp.html: added link to RFC2655.

	* components/broker/standard/WWW/Sample.cf: use displaySOIF to
	view SOIF, cosmetic changes.

	* src/common/include/version.h: bumped version to 1.7.32.

3 August 2002 Harald Weinreich <harald@weinreichs.de>

	* components/gatherer/standard/summarizers/rtf2html.c: tweaked rtf
	formatting to html tag mapping, don't print head tag.

	* components/broker/standard/WWW/classic.cf: print two digits
	after dot when printing weight points.

	* components/broker/standard/WWW/classic.cf,
	components/broker/standard/WWW/modern.cf: added link to plain SOIF
	display to result set.

3 August 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/displaySOIF.in: added plain SOIF
	display.

	* components/gatherer/standard/summarizers/rtf2html.c: print
	newline after closing tag.

1 August 2002 Kang-Jin Lee <lee@arco.de>

	* src/broker/example/brokers/skeleton/admin/admin.html.in: added
	warning that commands may take some time.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.in,
	components/broker/standard/WWW/search.in: use new image set.

	* components/broker/standard/WWW/Makefile.in: install new image
	set.

	* components/broker/standard/WWW/displaySOIF.in: create
	syntactically correct html output.

1 August 2002 Javier Masa Marin <masa@rediris.es>

	* components/broker/standard/WWW/images/*: new image set.

	* components/broker/standard/WWW/displaySOIF.in: don't use LWP
	module to retrieve objects, modified coloring scheme.

1 August 2002 Harald Weinreich <harald@weinreichs.de>

	* src/Harvest.in: add link to new query interface to summary.html.

	* components/broker/standard/WWW/classic.cf: print five lines per
	attributes with indentation.

30 July 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/classic.cf,
	components/broker/standard/WWW/modern.cf: fixed flag handling.

28 July 2002 Harald Weinreich <harald@weinreichs.de>

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.in: added
	weightflag, added Harvest logo.

	* components/broker/standard/WWW/search.in,
	components/broker/standard/WWW/classic.cf,
	components/broker/standard/WWW/modern.cf: merge changes from
	Javier Masa Marin <masa@rediris.es>.

28 July 2002 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/summarizers/HTML-lax.sum.c: remove
	multiple whitespaces and words shorter than two characters from
	Full-Text.

	* components/broker/standard/WWW/displaySOIF.in: retrieve SOIF via
	HTTP instead of reading from disk.

	* components/broker/standard/configure.in,
	components/broker/standard/WWW/Makefile.in: install displaySOIF as
	displaySOIF.cgi.

	* components/broker/standard/WWW/Makefile.in: don't install
	DisplayObject.cgi, install logos to $prefix/brokers/images/.

	* src/Makefile.in: create $prefix/brokers/images/ directory.

	* components/broker/standard/WWW/images/index.html: new file.

22 July 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/Makefile.in: don't create
	symbolic link nph-search.cgi.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.in,
	src/broker/example/brokers/skeleton/query-swish-modern.html.in,
	src/broker/example/brokers/skeleton/query-swish.html.in,
	src/broker/example/brokers/skeleton/query-wais-modern.html.in,
	src/broker/example/brokers/skeleton/query-wais.html.in: use
	search.cgi instead of nph-search.cgi.

22 July 2002 Javier Masa Marin <masa@rediris.es>

	* components/broker/standard/WWW/pwr_harvest_01a.gif,
	components/broker/standard/WWW/pwr_harvest_02a.gif,
	components/broker/standard/WWW/pwr_harvest_03a.gif: new logos.

21 July 2002 Javier Masa Marin <masa@rediris.es>

	* components/broker/standard/WWW/poweredHarvest17.gif,
	components/broker/standard/WWW/poweredHarvest18.gif,
	components/broker/standard/WWW/weightHarvest01.gif,
	components/broker/standard/WWW/displaySOIF.in,
	components/broker/standard/WWW/rediris.cf,
	components/broker/standard/WWW/search.rediris.in: new files.

21 July 2002 Kang-Jin Lee <lee@arco.de>

	* components/admin/standard/simple-scripts/analyze-broker-log.pl:
	updated to work with perl5, commented out unused code.

21 July 2002 Harald Weinreich <harald@weinreichs.de>

	* components/broker/standard/WWW/modern.cf: enabled ResultTrailer,
	removed bogus "...".

	* components/broker/standard/WWW/search.in: added some notes for
	character set problems on SunOS. Don't quote a userquery if not
	necessary. Don't add empty attributes to result set.

15 July 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/modern.cf: cosmetic changes.

14 July 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.31.

	* components/broker/standard/WWW/search.in: removed some disabled
	code.

6 July 2002 Harald Weinreich <harald@weinreichs.de>

	* components/gatherer/standard/summarizers/Pdf.sum: replace
	sequences of whitespaces with one.

	* src/broker/example/brokers/skeleton/query-glimpse.html.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.in:
	changed some default values.

	* components/broker/standard/WWW/modern.cf: beautified result
	presentation.

	* components/broker/standard/WWW/search.in: remove leading "+"
	from query string and replace leading "-" with "NOT". Remove ","
	from query string. Improved ranking.

1 July 2002 Harald Weinreich <harald@weinreichs.de>

	* src/gatherer/essence/byurl-posix.cf: recognize http urls ending
	with a slash as HTML.

1 July 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.30.

27 June 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/db/folddb: use tee to generate statistics without
	uncompressing cache file.

	* src/gatherer/essence/candidate.c: stop_byduplicate(): block
	bzip2 compressed objects if the uncompressed version of the
	object is already in database.

	* components/gatherer/catdoc/configure.in: set default prefix to
	/usr/local/harvest.

17 June 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.29.

15 June 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/url/url.c: added special case handling for file:///
	urls.

10 June 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.28.

8 June 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/byname-posix.cf: recognize files ending
	with xls, Xls or XLS as Microsoft Excel files and doc, Doc or DOC
	as Microsoft Word files.

	* components/gatherer/catdoc: new component.

8 June 2002 Harald Weinreich <harald@weinreichs.de>

	* components/gatherer/standard/summarizer/Pdf.sum: pipe output of
	pdftotext through fmt and head to ensure the output of pdftotext
	is smaller than 10MB.

	* components/gatherer/standard/summarizer/MSExcel.sum: new file.

	* components/gatherer/standard/summarizer/MSWord.sum: use catdoc
	to summarize Microsoft Word documents.

3 June 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/classic.cf,
	components/broker/standard/WWW/modern.cf,
	components/broker/standard/WWW/search.in: print ResultTrailer at
	end of each result page.

2 June 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/byname-posix.cf: added MacStuffIt, recogize
	Pdf and PDF as Pdf type.

	* components/gatherer/standard/summarizer/RTF.sum: switched from
	GNU unrtf to rtf2html to summarize rtf files.

30 May 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/stoplist.cf: added BZIP2CompressedTar,
	CompressedTar, GNUCompressedTar, HTTP-Query, PCZipped to the list
	of types to block.

26 May 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.27.

25 May 2002 Jason Downs <downsj@downsj.com>

	* src/common/gdbm/falloc.c: fixed buffer overflow in get_elem().

17 May 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.26.

17 May 2002 Harald Weinreich <weinreich@informatik.uni-hamburg.de>

	* components/broker/standard/WWW/search.in,
	src/broker/example/brokers/skeleton/admin/broker.conf.in,
	src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.in:
	added variable "hp_url".

9 May 2002 Harald Weinreich <weinreich@informatik.uni-hamburg.de>

	* components/broker/standard/WWW/Makefile.in: install new files.

	* components/broker/standard/WWW/search.cf: renamed to classic.cf.

	* components/broker/standard/WWW/modern.cf: new file.

	* components/broker/standard/WWW/search.in: pass objects through
	PerAttributeFunction.

	* src/broker/CreateBroker.in: install new query html pages.

	* src/broker/example/brokers/skeleton/query-glimpse-modern.html.in,
	src/broker/example/brokers/skeleton/query-swish-modern.html.in,
	src/broker/example/brokers/skeleton/query-wais-modern.html.in: new
	files.

	* src/broker/example/brokers/skeleton/query-glimpse.html.in: added
	new options.

8 May 2002 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/summarizers/C.sum: fixed typo.

	* src/README.debug, src/gatherer/enumerate/gopherenum-breadth.c,
	src/gatherer/enumerate/gopherenum-depth.c,
	src/gatherer/enumerate/httpenum-breadth.c,
	src/gatherer/enumerate/httpenum-depth.c: use debug levels 1, 5, 9.

6 May 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.25.

3 May 2002 Harald Weinreich <weinreich@informatik.uni-hamburg.de>

	* components/broker/standard/WWW/search.in: don't remove empty
	lines when reading attribute requests.

21 April 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.24.

	* src/gatherer/mgmt/Gatherer.in: added option
	HTTP-If-Modified-Since.

18 April 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/BrokerAdmin.pl.in,
	components/broker/standard/WWW/search.in,
	src/gatherer/enumerate/ftpenum.c: cosmetic changes.

	* components/gatherer/standard/SGML/sgmls-lib/README: new file.

	* src/common/include/url.h: added prototypes for functions in
	src/common/url/db.c.

	* src/common/url/ftpget.c: argument of http_time() is of correct
	type.

	* src/gatherer/enumerate/httpenum-breadth.c,
	src/gatherer/enumerate/httpenum-depth.c: log "Not Modified" for
	"304 Not Modified" answers to HTTP request.

	* src/gatherer/essence/post_process.c: removed some compiler
	warnings caused by initializing some variables with wrong type.

16 April 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/enumerate/httpenum-breadth.c: fixed typo in logging
	message.

15 April 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.23.

	* src/gatherer/enumerate/httpenum-breadth.c,
	src/gatherer/enumerate/httpenum-depth.c: pass urls in SOIF through
	candidate selection.

	* src/gatherer/enumerate/httpenum-breadth.c: use urldb_getrefs()
	to extract links from an SOIF object.

	* src/gatherer/enumerate/httpenum-depth.c: use absolute links for
	an object instead of relative for SOIF objects, too.

	* src/common/url/http.c: don't write SOIF from production database
	to a file when doing IMS gathering.

14 April 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/url/url_relative.c: fixed typo in debugging code.

	* components/gatherer/standard/SGML/sgmls-lib: reorganization of
	the files, added some dtd.

8 April 2002 Leonhard Knauff <knauff@urz.uni-halle.de>

	* components/gatherer/standard/SGML/sgmls-lib/catalog,
	components/gatherer/standard/SGML/sgmls-lib/html-4fs.dtd,
	components/gatherer/standard/SGML/sgmls-lib/html-4strict.dtd,
	components/gatherer/standard/SGML/sgmls-lib/html-4trans.dtd:
	added HTML4 dtd and make it default.

6 April 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.22.

6 April 2002 Guido Kerkewitz <hz279ke@uni-duisburg.de>

	* src/common/url/url.c: set http_mime_hdr to "text/html" for local
	mapped http urls.

4 April 2002 Harald Weinreich <weinreich@informatik.uni-hamburg.de>

	* src/common/include/template.h,
	components/gatherer/standard/summarizers/HTML-lax.sum.c:
	put content of <h[123]> tags into SOIF attribute "headings".

1 April 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/url/rfc850.c: mkrfc850() prints date as suggested in
	rfc1945, ifdef'd unused code.

26 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/enumerate/ftpenum.pl: typo fixes.

25 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/enumerate/enum.c: set_envs(): don't use Debug() in
	child process.

24 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.21.

23 March 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/search.cf: add missing <BODY> tag
	in <ResultHeader>.

	* components/broker/standard/WWW/search.in: unlink temporary files
	created after epoch rollover to 1000000000, too. Evaluate $hp_url
	in first pass over the results. Don't call paging routine, if no
	more results available.

20 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/db.c: enabled gdbm_reorganize() to shrink
	gdbm database file.

18 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/byname-posix.cf: recognize extension ASP as
	html type.

	* src/gatherer/essence/stoplist.cf: don't block http-query.

15 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.20.

	* src/common/url/url.c: don't log javascript and https as unknown
	URLs.

10 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/enumerate/newsenum.c: clean up temporary files
	before exiting.

8 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.19.

	* src/gatherer/enumerate/httpenum-breadth.c: http_enum():
	initialize argv before execvp.

7 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/enumerate/httpenum-breadth.c,
	src/gatherer/enumerate/httpenum-depth.c: don't set ENUMERATOR_URL
	environment varibale for HTMLurls.

	* components/gatherer/standard/summarizers/HTML-lax.sum.c,
	src/gatherer/enumerate/HTMLurls.c: disabled bogus "char *Url".

2 March 2002 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/data_object.c: remove_local_file(): clear
	URL_FLAG_NEED_UNLINK flag after removing file.

27 February 2002 Kang-Jin Lee <lee@arco.de>

	* src/broker/CreateBroker.in: redirect error message of "which"
	command to /dev/null.

	* src/gatherer/mgmt/Gatherer.in: cosmetic changes when
	initializing $prepcmd.

23 February 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/url/cache.c: add_cache(): don't free memory too
	early.

	* src/common/url/url.c: init_url(): make sure that
	liburl_sleep_time is valid.

	* src/gatherer/mgmt/Gatherer.in: commented out perl 4 workaround,
	don't create index.html in data and tmp directory.

22 February 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.18.

	* src/common/template/soif-mem-efficient.pl,
	src/common/template/soif.pl: commented out backward compatibility
	subroutine "print_item".

	* components/gatherer/standard/summarizers/HTML-sum.pl: use
	"print_av" instead of "print_item".

	* components/gatherer/standard/summarizers/Mail.sum,
	components/gatherer/standard/summarizers/NewsArticle.sum,
	components/gatherer/standard/summarizers/NewsGroup.sum: don't use
	soif.pl.

17 February 2002 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/summarizers/RTF.sum:
	added support for GNU UnRTF and made it default converter.

10 February 2002 Kang-Jin Lee <lee@arco.de>

	* components/broker/standard/WWW/DisplayObject.c,
	src/broker/example/brokers/adminhelp.html,
	src/broker/example/brokers/queryhelp.html,
	src/broker/example/brokers/soifhelp.html,
	src/broker/example/brokers/skeleton/query-glimpse.html.in,
	src/broker/example/brokers/skeleton/query-swish.html.in,
	src/broker/example/brokers/skeleton/query-wais.html.in:
	homepage URL points to harvest.sourceforge.net.

	* doc/FAQ.sgml: some updates.

8 February 2002 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/summarizers/MSWord.sum: new file.

	* components/gatherer/WordPerfect/wp2x-2.3/Makefile.in:
	added -I. to CFLAGS.

	* components/gatherer/WordPerfect/wp2x-2.3/wp2x.c: define
	sys_errlist only if necessary.

	* src/common/include/config.h: simplified regex selection.

	* src/acconfig.h, src/common/Makefile.in,
	src/gatherer/essence/Makefile.in,
	src/gatherer/enumerate/Makefile.in,
	src/configure.in, src/common/include/autoconf.h.in:
	renamed USE_GNUREGEX to USE_GNU_REGEX.

	* src/configure.in: use included gnuregex on *BSD systems.

7 February 2002 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.17.

	* components/gatherer/WordPerfect/configure.in: check for alloca.h
	and sys_errlist, rebuilt with autoupdate 2.52.

	* components/gatherer/WordPerfect/wp2x-2.3/Makefile.in: remove
	autogenerated files autoconf.h and config.h for distclean.

	* components/gatherer/WordPerfect/wp2x-2.3/dopen.c: only include
	alloca.h when available.

	* components/gatherer/WordPerfect/wp2x-2.3/wp2x.c: don't define
	sys_errlist when already defined.

	* components/gatherer/WordPerfect/wp2x-2.3/autoconf.h.in: new
	file, autogenerated by autoconf.

	* components/gatherer/WordPerfect/wp2x-2.3/config.h.in: new file.

	* src/configure.in: look for /usr/bin/uname, too, removed obsolete
	pointer to non existant url, fixed path to regex, export
	USE_GNUREGEX.

	* src/acconfig.h: new file.

2 February 2002 Kang-Jin Lee <lee@arco.de>

	* doc/Makefile: new file.

	* components/broker/standard/WWW/search.cf,
	components/gatherer/Rainbow/INSTRUCTIONS.html,
	src/Harvest.in: changed homepage url.

31 January 2002 Kang-Jin Lee <lee@arco.de>

	* components/admin/standard/simple-scripts/Makefile.in,
	components/gatherer/WordPerfect/wp2x-2.3/cfgs/Makefile.in,
	components/gatherer/standard/SGML/sgmls/Makefile.in,
	components/gatherer/standard/support/Makefile.in,
	src/Makefile.in,
	src/broker/Makefile.in,
	src/common/gdbm/Makefile.in,
	src/gatherer/example/Makefile.in: modified to enable to build
	in objdir != srcdir.

	* src/configure: rebuilt with autoconf 2.52.

	* src/configure.in: rebuilt with autoupdate 2.52.

	* src/common/include/version.h: bumped version to 1.7.16.

	* src/common/url/cache.c: $HARVEST_MAX_LOCAL_CACHE is now
	interpreted as MBytes.

	* src/gatherer/essence/byname-posix.cf: recognize asp
	and php scripts as HTML type.

24 May 2001 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.15.

	* src/gatherer/enumerate/enum.c: init(): don't initialize logging
	twice, use default buffer setting for logging output.

20 May 2001 Kang-Jin Lee <lee@arco.de>

	* contrib/zquery/*: new files.

	* *.html, */*.html: updated.

	* src/common/url/http.c: bugfixes in http_get ().

17 May 2001 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.14.

	* components/admin/standard/configure.in,
	components/admin/standard/configure,
	components/admin/standard/simple-scripts/Makefile.in,
	components/admin/standard/simple-scripts/harvest-check.pl.in:
	put paths to harvest-check.pl. Simplified code in harvest-check.pl.

10 May 2001 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/enumerate/URL-filter-default: added png and mp3.

	* FAQ: updated.

	* components/gatherer/Rainbow/INSTRUCTIONS.html: updated.

	* components/gatherer/Rainbow/README.harvest: new file.

	* *.html, manual/*.html: updated.

7 May 2001 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.13.

6 May 2001 Kang-Jin Lee <lee@arco.de>

	* *.html, manual/*.html: updated.

5 May 2001 Kang-Jin Lee <lee@arco.de>

	* src/broker/Makefile.in: don't install ctime.pl.

	* src/broker/ctime.pl: removed.

	* components/admin/standard/simple-scripts/analyze-broker-log.pl,
	components/broker/standard/WWW/search.in, src/broker/info-to-html.pl,
	src/broker/mkbrokerstats.pl: use localtime() instead of ctime.pl.

	* src/common/url/Makefile.in: don't install test-socket-ph.pl.

	* src/gatherer/enumerate/timelocal.pl: typo fix.

3 May 2001 Kang-Jin Lee <lee@arco.de>

	* src/Harvest.in: removed verify_dns_host (), don't try to verify what
	hostname and gethostbyname say.

	* src/common/include/version.h: bumped version to 1.7.12.

	* announcement.html: merged with download.html.

	* index.html: added links to ChangeLog and NEWS.

28 Apr 2001 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.11.

	* contrib/brokerstats/*: new files.

27 Apr 2001 Kang-Jin Lee <lee@arco.de>

	* announcement.html, download.html, index.html, sites.html, todo.html,
	contrib/index.html: made easier to navigate as file:// URLs.

	* README, sites.html: updated.

	* FAQ, announcement.html, download.html, harvest.css, index.html,
	todo.html, contrib/*, manual/*: new files.

15 Mar 2001 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.10.

5 Nov 2000 Kang-Jin Lee <lee@arco.de>

	* sites.html: updated.

	* INSTALL.harvest: updated.

	* components/gatherer/standard/summarizers/GifImage.sum:
	cosmetic changes.

	* components/gatherer/standard/summarizers/HTML.sum:
	updated descriptions of available summarizers.

	* components/gatherer/standard/summarizers/Makefile.in:
	install GIF image summarizer.

	* components/gatherer/standard/summarizers/Pdf.sum:
	added more verbose description how to use acrobat for summarizing
	pdf files.

1 Nov 2000 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.9.

	* components/gatherer/standard/summarizers/HTML-lax.sum.c:
	use attribute tag names defined in src/common/include/template.h
	where applicable.

29 Oct 2000 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/enumerate/fileenum.c,
	src/gatherer/enumerate/ftpenum.pl,
	src/gatherer/enumerate/gopherenum-breadth.c,
	src/gatherer/enumerate/gopherenum-depth.c,
	src/gatherer/enumerate/httpenum-breadth.c,
	src/gatherer/enumerate/httpenum-depth.c,
	src/gatherer/enumerate/newsenum.c:
	fixed off by one bug for URL-Max.

28 Oct 2000 Kang-Jin Lee <lee@arco.de>

	* src/common/include/version.h: bumped version to 1.7.8.

	* src/broker/broker.h: broker inteface version bumped to 0.5.

	* src/broker/select_loop.c: don't write broker version string
	when connected.

	* src/broker/collector.c: skip initial greetings when gathering
	from brokers.

25 Oct 2000 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/WordPerfect/wp2x-2.3/cfgs/tex.cfg:
	added comment.

	* src/gatherer/example/gatherers/example-2/lib/stoplist.cf:
	added brief description.

	* src/broker/Glimpse/index.c,
	src/broker/example/brokers/skeleton/admin/broker.conf.in:
	memory usage of glimpseindex now configurable at runtime.

	* src/gatherer/collect.c: gzip uses default compression rate.

	* src/broker/stor_man.c: MAX_DIR increased to 256.

	* components/gatherer/standard/summarizers/Makefile.in,
	components/gatherer/standard/support/Makefile.in: minor fix.

	* src/gatherer/db/folddb: create All-Template.gz.

	* src/gatherer/gatherd/Makefile.in,
	src/gatherer/gatherd/mkcompressed: removed mkcompressed.

	* src/gatherer/mgmt/Gatherer.in: don't unzip All-Templates to
	All-Files since we switched to non script based incremental
	gathering, making extract.pl, searchmd5.pl and uptime.pl obsolete.

	* src/Harvest.in: default switched from depth first to breadth
	first enumerator.

	* src/common/url/extract.pl, src/common/url/searchmd5.pl,
	src/common/url/uptime.pl: removed.

23 Oct 2000 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/unnest.c: send output of unshar to /dev/null.

	* sites.html: updated.

	* CONTRIBUTORS: added Leonhard Knauff.

	* src/gatherer/essence/byurl-posix.cf,
	src/gatherer/essence/stoplist.cf: added ApacheFancyIndex.

	* src/common/include/version.h: bumped version to 1.7.7.

20 Oct 2000 Kang-Jin Lee <lee@arco.de>

	* components/gatherer/standard/configure.in: put path to perl into
	components/gatherer/standard/support/*.in.

	* components/gatherer/standard/summarizers/Makefile.in:
	install symlinks HTML.sum to HTTP-Query.sum.

	* components/gatherer/standard/summarizers/TeX.sum:
	use $TMPDIR for temporary file, renamed l2h.pl to l2h.

	* components/gatherer/standard/support/unshar.in:
	simplified code, try harder to find start of archive.

	* components/gatherer/standard/support/uudecode.in: new file.

	* components/gatherer/standard/support/Makefile.in,
	components/gatherer/standard/support/l2h.pl,
	components/gatherer/standard/support/ps2txt,
	components/gatherer/standard/support/unshar,
	components/gatherer/standard/support/wrapit:
	renamed scripts to *.in, generate perl scripts from *.in.

	* src/configure.in, src/common/include/paths.h.in,
	src/gatherer/essence/unnest.c:
	search for installed unshar, uudecode, hexbin.

	* src/common/include/version.h: bumped version to 1.7.6.

14 Oct 2000 Kang-Jin Lee <lee@arco.de>

	* src/gatherer/essence/unnest.c:
	added extractor for bzip2 compressed files.

	* src/configure.in, src/common/include/paths.h.in:
	look for bzip2.

	* src/gatherer/essence/byname-posix.cf:
	renamed BZ2Compressed* to BZIP2Compressed*.

	* src/gatherer/essence/stoplist.cf:
	added CommonLisp, InternetDraft, LSM, OtherCode, PostScriptFont,
	Spreadsheet, TeXInfo, WaisSource.

	* src/gatherer/essence/db.c: don't reorganize gdbm database per
	default.

	* src/gatherer/db/consoldb.c,
	src/gatherer/db/gdbmutil/gdbmconsolidate.c,
	src/gatherer/db/mergedb.c, src/gatherer/db/template2db.c,
	src/gatherer/enumerate/enum.c, src/gatherer/essence/db.c,
	src/gatherer/gatherd/mkindex.c:
	removed obsolete GDBM_FAST flag from gdbm_open().

	* src/Harvest.in: removed options expert and cleantty. cosmetic
	changes.

	* src/common/include/version.h: bumped version to 1.7.5.

	* sites.html: updated.

8 Oct 2000 Kang-Jin Lee <lee@arco.de>

	* src/Harvest.in, src/common/include/version.h:
	bumped version to 1.7.4.

	* src/gatherer/essence/data_object.c: backed out changes made in
	1.7.3.

	* src/gatherer/essence/unnest.c: extract .gz and .Z files into
	unnestdir.

	* src/gatherer/essence/main.c: use different unnestdir for each
	nested object.

3 Oct 2000 Kang-Jin Lee <lee@arco.de>

	* src/Harvest.in, src/common/include/version.h:
	bumped version to 1.7.3.

	* src/gatherer/essence/data_object.c,
	src/gatherer/essence/unnest.c: unlink nested objects immediately
	after processing.

	* src/gatherer/essence/unnest.c: use one temporary directory for
	all temporary files instead of creating a new directory for each
	objects to unnest.

	* src/gatherer/gatherd/mkcompressed: use gzip's default
	compression level to compress All-Templates.

24 Sep 2000 Kang-Jin Lee <lee@arco.de>

	* README: updated, updated e-mail address.

	* components/gatherer/standard/dvi2tty/dvi2tty.c:
	don't append ".dvi" to source filename.

	* components/gatherer/standard/summarizers/C.sum:
	use Darren Hiebert's exuberant ctags by default.

	* components/gatherer/standard/summarizers/Makefile.in:
	added entry for RTF summarizer, use $DEBUG_TOP to compile C
	source.

	* components/gatherer/standard/summarizers/RTF.sum,
	components/gatherer/standard/summarizers/rtf2html.c: new files.

	* components/gatherer/standard/summarizers/Pdf.sum:
	added reference to Derek B. Noonburg's xpdf.

	* components/gatherer/standard/summarizers/RFC.sum:
	fixed typo, made look more Perl 5ish, removed unused variable,
	exit more gracefully if not able to produce a summary.

	* src/broker/example/brokers/skeleton/query-glimpse.html.in,
	src/broker/example/brokers/skeleton/query-swish.html.in,
	src/broker/example/brokers/skeleton/query-wais.html.in:
	cleanup.

	* src/Harvest.in, src/common/include/version.h
	bumped version to 1.7.2.

	* src/gatherer/essence/byname-posix.cf:
	added entries for following file types:
	bz2, mid, wav, java, arj, lha, lzh, pdf, png

	* src/gatherer/essence/stoplist.cf: added
	Assembly, Batch, Java, MIF, Modula2, PNGImage, Pascal

	* src/gatherer/essence/unnest.c: removed "-o" from options of unzip.

1 Jun 2000 Kang-Jin Lee <lee@arco.de>

	* sites.html: added two more sites, updated e-mail address.

	* INSTALL.harvest: updated e-mail address and url.

	* glimpse-license-status: new file.

27 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.7.1.

	* src/broker/example/brokers/skeleton/query-glimpse.html,
	src/broker/example/brokers/skeleton/query-swish.html:
	fixed typo.

21 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* components/broker/standard/WWW/search.in:
	don't use ctime.pl.

20 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.7.0.

	* src/broker/CreateBroker: renamed to CreateBroker.in.

	* src/broker/Makefile.in: "make distclean" removes CreateBroker.

	* src/configure.in: create CreateBroker from CreateBroker.in.

	* src/broker/example/brokers/skeleton/admin/admin.html.in:
	fixed url to Simon's Harvest site.

	* src/Harvest.in: removed hsr stuff.

	* src/broker/CreateBroker.in: removed hacks to circumvent bugs in
	Perl 4.036 on Solaris 2.3, removed hsr stuff, create temporary
	directory for result paging, cleanup.

	* src/broker/example/skeleton/RunUpdate.in,
	src/broker/example/skeleton/description.html.in: removed.

	* components/broker/standard/WWW/search.in:
	commented out sort by number of matching lines, show results paged.

	* src/broker/example/brokers/skeleton/query-glimpse.html.in,
	src/broker/example/brokers/skeleton/query-swish.html.in:
	added "perpageflag" and "sort".

	* components/broker/standard/WWW/search.cf: emulate pre 1.7.0
	behaviour, if necessary.

17 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/Harvest: renamed to Harvest.in.

	* src/configure.in, src/configure: generate Harvest from Harvest.in,
	remade configure.

	* src/Makefile.in: "make distclean" removes Harvest.

	* src/RunHarvest: cleanup.

	* src/broker/example/brokers/AdminTools/*: removed.

	* src/Harvest.in: removed hacks to circumvent bugs in Perl 4.036 on
	Solaris 2.3, cleanup.

13 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* components/broker/standard/WWW/search.in:
	removed mydir(), removed unused variables, improved send_header(),
	do_query() always buffers data from broker, overall small enhancements.

12 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* components/broker/standard/WWW/HarvestGather.in,
	components/broker/standard/WWW/cgiparse.pl.in,
	components/broker/standard/WWW/broker-query-noform.pl.in:
	source tree cleanup, moved to directory
	components/broker/standard/WWW/obsolete/.

	* components/broker/standard/configure.in,
	components/broker/standard/configure,
	components/broker/standard/WWW/Makefile.in:
	modified configure.in and Makefile.in not to build and install
	obsolete files, regenerated configure.

	* components/broker/standard/WWW/BrokerQuery.cf:
	renamed to search.cf, reduced timeout from 10 to 5 minutes,
	updated error page to reflect recent changes in search.cgi.

	* components/broker/standard/WWW/nph-search.in:
	renamed to search.in, don't unlink non existing file.

	* components/broker/standard/WWW/HarvestGather.in:
	default gatherer now configurable, added missing html tags.

	* components/broker/standard/WWW/broker-query-noform.pl.in,
	src/broker/example/brokers/skeleton/query-wais.html.in:
	switched from BrokerQuery.pl.cgi to search.cgi.

7 Feb 2000 Simon Wilkinson <sxw@dcs.ed.ac.uk>

	* Merged against 1.5 series tree

	* Bumped version to 1.6.1

5 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.6.0.

	* INSTALL.harvest: minor typo fixes.

3 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.6.pre0.

2 Feb 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* CONTRIBUTORS, README: updated.

	* INSTALL: new file, generic autoconf install instructions.

	* INSTALL.harvest: new file, install instructions.

	* sites.html: new file, list of sites using harvest.

	* components/broker/standard/WWW/BrokerQuery.cf,
	src/broker/example/brokers/queryhelp.html:
	"AND" not necessary for simple keywords.

30 Jan 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.5.20-kj-0.10.

28 Jan 2000 Daniel S. Riley <dsr@mail.lns.cornell.edu>

	* components/broker/standard/glimpse/agrep/agrep.c:
	make sure that pattern buffer is NULL when freed and free buffer
	before assigning to NULL.

27 Jan 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.5.20-kj-0.9.

	* components/broker/standard/glimpse:
	update glimpse from 4.0B1 to 4.12.6.

	* src/broker/example/brokers/AdminTools/lib/hsrlibrary.pl:
	print DOCTYPE, sort META tags when writing description.html,
	set permission of description.html to 0644 instead of 0666.

	* src/broker/example/brokers/skeleton/RunUpdate.in:
	don't make a backup copy of description.html, this is done in
	hsrlibrary.pl. minor cosmetics.

	* src/broker/example/brokers/skeleton/description.html.in:
	modified to reflect changes to hsr stuff.

	* src/broker/info-to-html.pl: cosmetic changes in resulting statistic
	html page.

26 Jan 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.5.20-kj-0.8.

	* components/gatherer/standard/dvi2tty/*:
	updated dvi2tty from 5.0 to 5.3.

	* components/gatherer/standard/ps2txt/ps2txt-2.1.c:
	get rid of compiler warnings.

	* src/broker/example/brokers/Attributes.html,
	src/broker/example/brokers/adminhelp.html,
	src/broker/example/brokers/queryhelp.html,
	src/broker/example/brokers/soifhelp.html:
	show cvs id.

23 Jan 2000 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.5.20-kj-0.7.

	* components/broker/standard/WWW/nph-search.in,
	src/broker/example/brokers/skeleton/query-glimpse.html.in,
	src/broker/example/brokers/skeleton/query-swish.html.in,
	src/broker/example/brokers/skeleton/query-wais.html.in:
	commented out unused verbose checkbox ($verbflag).

	* src/broker/example/brokers/Attributes.html:
	cosmetic changes.

	* src/broker/example/brokers/queryhelp.html:
	removed remarks about verbose checkbox, added note for "Display
	links to indexed content summary", cosmetic changes.

	* src/common/template/Attributes.html:
	removed outdated duplicate of
	src/broker/example/brokers/Attributes.html.

29 Nov 1999 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.5.20-kj-0.6.

	* src/configure.in: configure gdbm at configure stage instead of
	build stage.

	* src/configure.in, src/common/Makefile.in,
	src/gatherer/enumerate/Makefile.in, src/gatherer/essence/Makefile.in:
	use GNUregex if regex not found on system.

20 Nov 1999 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/broker/example/brokers/skeleton/query-glimpse.html.in
	src/broker/example/brokers/skeleton/query-swish.html.in
	src/broker/example/brokers/skeleton/query-wais.html.in
	removed notes about forms capable browser.

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.5.20-kj-0.5.

	* components/gatherer/standard/summarizers/HTML-sum.pl:
	delimit tokens of fulltext with "\n", fixed a typo.

	* src/common/include/config.h
	src/common/url/localmap.c
	src/gatherer/enumerate/filter.c
	src/gatherer/enumerate/filter.h
	src/gatherer/enumerate/gopherenum-breadth.c
	src/gatherer/enumerate/gopherenum-depth.c
	src/gatherer/enumerate/httpenum-breadth.c
	src/gatherer/enumerate/httpenum-depth.c
	src/gatherer/essence/post_process.c
	src/gatherer/essence/summarize.c
	include regex header selected by configure.

13 Nov 1999 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* components/broker/standard/WWW/BrokerQuery.cf: initialize
	default values.

	* src/broker/Glimpse/index.c: regex search works again.

	* */Makefile.in: $DEBUG_TOP now used in every Makefile.in.

	* src/common/include/version.h, src/Harvest:
	bumped version to 1.5.20-kj-0.4.

	* src/gatherer/enumerate/HTML.h: replace &nbsp; with " ".

	* components/gatherer/standard/summarizers/HTML-lax.sum.c:
	SOIF attribute names now lower case, attribute "body" renamed to
	"full-text".

	* components/gatherer/standard/summarizers/HTML.sum:
	HTML-lax.sum now default summarizer for HTML.

7 Nov 1999 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/Harvest: added "-swish" to create a broker with swish as
	default indexer, bumped version to 1.5.20-kj-0.3.

	* src/Makefile.in: don't create symlinks in $HARVEST_HOME/bin for
	some "well known" binaries, removed src/make-symlinks.sh.

	* src/broker/example/brokers/skeleton/Query.cgi.in.in,
	src/configure.in, src/broker/Makefile.in: Query.cgi.in now created
	by configure.

	* src/gatherer/mgmt/Gatherer.in: use gzip in $PATH.

	* src/common/include/version.h: bumped version to 1.5.20-kj-0.3.

24 Oct 1999 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* src/common/gdbm: symlink deleted and moved gdbm-1.8.0 to gdbm.

	* components/admin/standard/simple-scripts/analyze-broker-log.pl:
	replaced Y2k problem with Y10k problem. don't bug out with division
	by zero, when no search requests are logged.

	* components/broker/standard/configure.in: build
	components/broker/standard/WWW/broker-query-noform.pl.

	* components/broker/standard/WWW/broker-query-noform.pl.in:
	template for broker-query-noform.pl. fixed some typos,
	now runs under Perl 5, too.

	* components/broker/standard/WWW/Makefile.in:
	distclean removes broker-query-noform.pl.

	* src/broker/CreateBroker: description.html is created for a
	new brokers.

	* src/broker/example/brokers/skeleton/query-swish.html.in:
	copied query-glimpse.html.in to query-swish.html.in as a dummy
	query template, CreateBroker now can create brokers with swish as
	indexer.

	* src/common/include/version.h: version bumped to -kj-0.2.

	* src/gatherer/essence/Makefile.in: don't create unused man
	directory.

	* */configure now generated with autoconf 2.14

3 Oct 1999 Kang-Jin Lee <lee@arco.met.fu-berlin.de>

	* components/broker/standard/WWW/HarvestGather.in:
	fixed $PATH setting

	* components/broker/standard/WWW/Makefile.in:
	symlink nph-HarvestGather.cgi to HarvestGather.cgi instead of
	installing a second copy

	* components/broker/standard/glimpse/agrep/Makefile.in,
	components/broker/standard/glimpse/compress/Makefile.in: use
	$DEBUG_TOP

	* components/gatherer/WordPerfect/Makefile.in:
	replaced misplaced spaces with tabs to make it build

	* components/gatherer/WordPerfect/wp2x-2.3/Makefile.in,
	components/gatherer/WordPerfect/wp2x-2.3/cfgs/Makefile.in: make
	distclean removes cfgs/Makefile generated by configure

	* components/gatherer/standard/pstext/libs/src/sio/sprint.c:
	removed conflicting prototype for strcpy and strchr

	* components/gatherer/standard/skim/skim.c:
	removed conflicting declaration for stdin

	* components/gatherer/standard/summarizers/HTML-sum.pl:
	don't hardcode path to perl

	* components/gatherer/standard/summarizers/HTML.sum:
	made HTML-sum.pl default summarizer for HTML

	* components/gatherer/standard/summarizers/Pdf.sum:
	switched from acrobat to xpdf for summarizing PDF

	* components/gatherer/standard/unbinhex/fileio/rdfile.c:
	remove conflicting prototype for strcpy and stncpy

	* src/broker/Glimpse/index.c:
	removed obsolete -T from glimpseindex option,
	increased memory usage from 10MB to 20MB (-M 10 -> -M 20)

	* src/broker/example/brokers/queryhelp.html:
	updated URL from http://glimpse.cs.arizona.edu:1994/ to
	http://glimpse.cs.arizona.edu/

	* src/broker/example/brokers/skeleton/Makefile.in:
	added target realclean to completely remove any data created by
	broker

	* src/common/Makefile.in:
	use installed system regex

	* src/common/gdbm-1.8.0:
	updated gdbm from 1.7.3 to 1.8.0

	* src/common/include/version.h:
	changed version string from 1.5.19 to 1.5.20-kj-0.1

	* src/common/url/newsget.pl:
	send "MODE READER" to inn server before sending "GROUP xxx"

	* src/gatherer/enumerate/Makefile.in:
	link enumerate with system regex

	* src/gatherer/enumerate/URL-filter-default:
	removed duplicate entries

	* src/gatherer/essence/Makefile.in:
	link with system regex

	* src/gatherer/mgmt/Gatherer.in:
	use cat in $PATH
